unbound: doq_server_socket Struct Reference

unbound 0.1

Data Fields
doq_server_socket Struct Reference

The DoQ server socket information, for DNS over QUIC. More...

`#include <netevent.h>`

## Data Fields
struct doq_table * | table
| the doq connection table
struct ub_randstate * | rnd
| random generator
uint8_t | validate_addr
| if address validation is enabled
int | sv_scidlen
| the server scid length
uint64_t | idle_timeout
| the idle timeout in nanoseconds
uint8_t * | static_secret
| the static secret for the server
size_t | static_secret_len
| length of the static secret
void * | ctx
| ssl context, SSL_CTX*
void * | quic_method
| quic method functions, SSL_QUIC_METHOD*
struct comm_point * | cp
| the comm point for this doq server socket
struct sldns_buffer * | pkt_buf
| the buffer for packets, doq in and out
struct doq_conn * | current_conn
| the current doq connection when we are in callbacks to worker, so that we have the already locked structure at our disposal.
uint8_t | event_has_write
| if the callback event on the fd has write flags
int | have_blocked_pkt
| if there is a blocked packet in the blocked_pkt buffer
struct sldns_buffer * | blocked_pkt
| store blocked packet, a packet that could not be send on the nonblocking socket.
struct doq_pkt_addr * | blocked_paddr
| the packet destination for the blocked packet.
struct comm_timer * | timer
| timer for this worker on this comm_point to wait on.
struct timeval | marked_time
| the timer that is marked by the doq_socket as waited on.
time_t * | now_tt
| the current time for use by time functions, time_t.
struct timeval * | now_tv
| the current time for use by time functions, timeval.
struct config_file * | cfg
| config file for the worker.

## Detailed Description

The DoQ server socket information, for DNS over QUIC.

## Field Documentation

## ◆ blocked_pkt

struct sldns_buffer* doq_server_socket::blocked_pkt

store blocked packet, a packet that could not be send on the nonblocking socket.

It has to be sent later, when the write on the udp socket unblocks.

The documentation for this struct was generated from the following file:

- util/netevent.h